package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

/**
 * 分类表 sys_dept
 *
 * @author ruoyi
 */
@Data
public class SmArticleClassify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分类ID */
    @ApiModelProperty("分类ID")
    private Long classifyId;

    /** 父分类ID */
    @ApiModelProperty("父分类ID")
    private Long parentId;

    /** 祖级列表 */
    @ApiModelProperty("祖级列表")
    private String ancestors;

    /** 分类名称 */
    @ApiModelProperty("分类名称")
    @NotBlank(message = "分类名称不能为空")
    @Size(min = 0, max = 30, message = "分类名称长度不能超过30个字符")
    private String classifyName;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    @NotNull(message = "显示顺序不能为空")
    private Integer orderNum;


    /** 分类状态:0正常,1停用 */
    @ApiModelProperty("分类状态:0正常,1停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    @ApiModelProperty("删除标志（0代表存在 2代表删除）")
    private String delFlag;

    /** 父分类名称 */
    @ApiModelProperty("父分类名称")
    private String parentName;

    /** 子分类 */
    @ApiModelProperty("子分类")
    private List<SmArticleClassify> children = new ArrayList<SmArticleClassify>();

    @ApiModelProperty("是否系统内置")
    private Boolean builtSystem;

}
