package com.ruoyi.ss.abnormal.service.impl;

import com.ruoyi.common.core.domain.BaseValidator;
import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.ss.abnormal.domain.AbnormalBO;
import com.ruoyi.ss.abnormal.service.AbnormalValidator;
import com.ruoyi.ss.device.service.DeviceValidator;
import com.ruoyi.ss.device.service.ISmDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;

/**
 * @author wjh
 * 2024/4/30
 */
@Service
public class AbnormalValidatorImpl extends BaseValidator implements AbnormalValidator {

    @Autowired
    private ISmDeviceService deviceService;

    @Autowired
    private DeviceValidator deviceValidator;

    /**
     * App端插入前校验
     *
     * @param data
     */
    @Override
    public ValidateResult preCreateByApp(AbnormalBO data) {
        if (data == null) {
            return error("数据不能为空");
        }

        // 判断设备是否存在
        if (!deviceValidator.isExistNo(Collections.singletonList(data.getDeviceNo()))) {
            return error("设备不存在");
        }

        return success();
    }
}
