package com.ruoyi.ss.article.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * 协议类型
 * @author wjh
 * 2024/5/10
 */
@Getter
@AllArgsConstructor
public enum LicenceType {

    USER("user", "ss.licence.user.id"),
    PRIVACY("privacy", "ss.licence.privacy.id"),
    COLLECT("collection", "ss.licence.collection.id");

    private final String type;    // 类型
    private final String key;     // 配置键值

    public static LicenceType parse(String type) {
        for (LicenceType value : LicenceType.values()) {
            if (Objects.equals(value.getType(), type)) {
                return value;
            }
        }
        return null;
    }
}
