package com.ruoyi.ss.deviceTenant.service;

import com.ruoyi.ss.deviceTenant.domain.SmDeviceTenant;
import com.ruoyi.ss.deviceTenant.domain.SmDeviceTenantQuery;

import java.util.List;
import java.util.Map;

/**
 * 设备与租户绑定（中间）Service接口
 *
 * @author ruoyi
 * @date 2024-03-15
 */
public interface ISmDeviceTenantService
{
    /**
     * 查询设备与租户绑定（中间）
     *
     * @param id 设备与租户绑定（中间）主键
     * @return 设备与租户绑定（中间）
     */
    public SmDeviceTenant selectSmDeviceTenantById(Long id);

    /**
     * 查询设备与租户绑定（中间）列表
     *
     * @param smDeviceTenant 设备与租户绑定（中间）
     * @return 设备与租户绑定（中间）集合
     */
    public List<SmDeviceTenant> selectSmDeviceTenantList(SmDeviceTenantQuery smDeviceTenant);

    /**
     * 新增设备与租户绑定（中间）
     *
     * @param smDeviceTenant 设备与租户绑定（中间）
     * @return 结果
     */
    public int insertSmDeviceTenant(SmDeviceTenant smDeviceTenant);

    /**
     * 修改设备与租户绑定（中间）
     *
     * @param smDeviceTenant 设备与租户绑定（中间）
     * @return 结果
     */
    public int updateSmDeviceTenant(SmDeviceTenant smDeviceTenant);

    /**
     * 批量删除设备与租户绑定（中间）
     *
     * @param ids 需要删除的设备与租户绑定（中间）主键集合
     * @return 结果
     */
    public int deleteSmDeviceTenantByIds(Long[] ids);

    /**
     * 删除设备与租户绑定（中间）信息
     *
     * @param id 设备与租户绑定（中间）主键
     * @return 结果
     */
    public int deleteSmDeviceTenantById(Long id);

    /**
     * 查询用户与设备是否已绑定
     * @param userId 用户id
     * @param deviceId 设备id
     */
    boolean selectIsBind(Long userId, Long deviceId);

    /**
     * 解绑设备
     * @param tenantId
     * @param deviceId
     */
    int unBind(Long tenantId, Long deviceId);

    /**
     * 通过设备id列表查询设备与租户绑定，并分组
     * @param deviceIds
     * @return
     */
    Map<Long, List<SmDeviceTenant>> selectGroupByDeviceIds(List<Long> deviceIds);

    List<SmDeviceTenant> selectByDeviceId(Long deviceId);
}
