package com.ruoyi.ss.model.mapper;

import com.ruoyi.ss.model.domain.SmModel;
import com.ruoyi.ss.model.domain.SmModelQuery;
import com.ruoyi.ss.model.domain.SmModelVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 型号列表Mapper接口
 *
 * @author 邱贞招
 * @date 2024-02-21
 */
public interface SmModelMapper
{
    /**
     * 查询型号列表
     *
     * @param modelId 型号列表主键
     * @return 型号列表
     */
    public SmModelVo selectSmModelByModelId(Long modelId);

    /**
     * 查询型号列表列表
     *
     * @param smModel 型号列表
     * @return 型号列表集合
     */
    public List<SmModelVo> selectSmModelList(SmModelQuery smModel);

    /**
     * 新增型号列表
     *
     * @param smModel 型号列表
     * @return 结果
     */
    public int insertSmModel(SmModel smModel);

    /**
     * 修改型号列表
     *
     * @param smModel 型号列表
     * @return 结果
     */
    public int updateSmModel(SmModel smModel);

    /**
     * 删除型号列表
     *
     * @param modelId 型号列表主键
     * @return 结果
     */
    public int deleteSmModelByModelId(Long modelId);

    /**
     * 批量删除型号列表
     *
     * @param modelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmModelByModelIds(Long[] modelIds);

    /**
     * 条件查询数量
     * @param dto 查询条件
     * @return 结果
     */
    Integer selectCount(SmModelQuery dto);

    int logicDeleteByIds(@Param("modelIds") List<Long> modelIds);
}
