package com.ruoyi.ss.model.service.impl;

import com.ruoyi.common.core.domain.BaseValidator;
import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.ss.model.domain.SmModelBO;
import com.ruoyi.ss.model.domain.enums.ModelTag;
import com.ruoyi.ss.model.service.ModelValidator;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * 2024/4/22
 */
@Service
public class ModelValidatorImpl extends BaseValidator implements ModelValidator {


    @Override
    public ValidateResult preInsert(SmModelBO bo) {
        if (bo == null) {
            return error("参数不能为空");
        }

        if (!this.hasTags(bo.getTags())) {
            return error("非法的标签");
        }

        return success();
    }

    @Override
    public ValidateResult preUpdate(SmModelBO bo) {
        if (bo == null) {
            return error("参数不能为空");
        }

        if (!CollectionUtils.isEmpty(bo.getTags()) && this.hasTags(bo.getTags())) {
            return error("非法的标签");
        }

        return success();
    }

    /**
     * 判断标签是否合法
     */
    private boolean hasTags(List<String> tags) {
        if (!CollectionUtils.isEmpty(tags)) {
            return ModelTag.contains(tags);
        }
        return true;
    }
}
